﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;

namespace Notatnik.NET
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void czcionkaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            fontDialog1.Font = textBox1.Font;
            if (fontDialog1.ShowDialog() == DialogResult.OK)
            {
                textBox1.Font = fontDialog1.Font;
            }
        }

        private void kolorTłaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = textBox1.BackColor;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                textBox1.BackColor = colorDialog1.Color;
            }
        }

        private void zamknijToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private static string[] CzytajPlikTekstowy(string nazwaPliku)
        {
            List<string> tekst = new List<string>();
            try
            {
                using (StreamReader sr = new StreamReader(nazwaPliku))
                {
                    string wiersz;
                    while ((wiersz = sr.ReadLine()) != null)
                    {
                        tekst.Add(wiersz);
                    }
                }
                return tekst.ToArray();                
            }
            catch (Exception exc)
            {
                MessageBox.Show("Błąd odczytu pliku " + nazwaPliku + " (" + exc.Message + ")");
                return null;
            }
        }

        private void wczytajToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (DialogResult.OK == openFileDialog1.ShowDialog())
            {
                textBox1.Lines = CzytajPlikTekstowy(openFileDialog1.FileName);
            }
        }

        private static void ZapiszDoPlikuTekstowego(string nazwaPliku, string[] tekst)
        {
            using (StreamWriter sw = new StreamWriter(nazwaPliku))
            {
                foreach (string wiersz in tekst)
                {
                    sw.WriteLine(wiersz);
                }                
            }
        }

        private void zapiszToolStripMenuItem_Click(object sender, EventArgs e)
        {
            saveFileDialog1.FileName = openFileDialog1.FileName;
            saveFileDialog1.Filter = openFileDialog1.Filter;
            saveFileDialog1.FilterIndex = openFileDialog1.FilterIndex;
            if (DialogResult.OK == saveFileDialog1.ShowDialog())
            {
                ZapiszDoPlikuTekstowego(saveFileDialog1.FileName, textBox1.Lines);
            }
        }
    }
}
